emptify:
  # suffix "true" denotes that {{if}} is expected to be true
  # otherwise, false is expected
  test1true:
    foo: bar
  test2:
    foo: {}
  test3:
    foo: []
  test4:
    foo: ~
  test5:
    foo: ""
  test6:
    foo:
      bar:
        hey: ~
  test7:
    foo:
      bar:
      - item1: ~
      - item2: ""
      - item3: {}
      - item4: []
        item5:
        - ~
        - ""
  test8a:
  - ~
  - ""
  - {}
  test8b: {}
  test8c: ""
  test8d: ~

foo:
  bar:
    hey: {}
